org.apache.geode.admin

## Class OperationCancelledException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.geode.GemFireException
        - - org.apache.geode.admin.RuntimeAdminException
          - - org.apache.geode.admin.OperationCancelledException

- All Implemented Interfaces:
    java.io.Serializable

  Deprecated.
  as of 7.0 use the `management` package instead

      public class OperationCancelledException
      extends RuntimeAdminException

  Thrown when an administration operation that accesses information in a remote system member is cancelled. The cancelation may occur because the system member has left the distributed system.
  Since:
    GemFire 3.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OperationCancelledException()` Deprecated.
    `OperationCancelledException(java.lang.String message)` Deprecated.
    `OperationCancelledException(java.lang.String message, java.lang.Throwable cause)` Deprecated.
    `OperationCancelledException(java.lang.Throwable cause)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.GemFireException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OperationCancelledException

          public OperationCancelledException()

      Deprecated.

    - #### OperationCancelledException

          public OperationCancelledException(java.lang.String message)

      Deprecated.

    - #### OperationCancelledException

          public OperationCancelledException(java.lang.Throwable cause)

      Deprecated.

    - #### OperationCancelledException

          public OperationCancelledException(java.lang.String message,
                                             java.lang.Throwable cause)

      Deprecated.